Loading...
Searching...
No Matches
unary_compose< _Operation1, _Operation2 >

## Detailed Description

template<class _Operation1, class _Operation2>
class rheolef::unary_compose< _Operation1, _Operation2 >

Definition at line 25 of file functional_sgi_ext.h.

Inheritance diagram for unary_compose< _Operation1, _Operation2 >:

## Public Member Functions

| unary_compose (const _Operation1 &__x, const _Operation2 &__y)
_Operation1::result_type | operator() (const typename _Operation2::argument_type &__x) const

## Protected Attributes

_Operation1 | _M_fn1
_Operation2 | _M_fn2

## Constructor & Destructor Documentation

## unary_compose()

template<class _Operation1 , class _Operation2 >

unary_compose | ( | const _Operation1 & | __x,
|  | const _Operation2 & | __y
| ) |  |

Definition at line 34 of file functional_sgi_ext.h.

## Member Function Documentation

## operator()()

template<class _Operation1 , class _Operation2 >

_Operation1::result_type operator() | ( | const typename _Operation2::argument_type & | __x | ) | const

Definition at line 38 of file functional_sgi_ext.h.

## Member Data Documentation

## _M_fn1

template<class _Operation1 , class _Operation2 >

_Operation1 _M_fn1

protected

Definition at line 30 of file functional_sgi_ext.h.

## _M_fn2

template<class _Operation1 , class _Operation2 >

_Operation2 _M_fn2

protected

Definition at line 31 of file functional_sgi_ext.h.

The documentation for this class was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/linalg/lib/functional_sgi_ext.h